Check Lead Form Acceptance
curl --request POST \
--url https://public.plai.io/gads/check_lead_form_acceptance \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"userId": "<string>"
}
'import requests
url = "https://public.plai.io/gads/check_lead_form_acceptance"
payload = { "userId": "<string>" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({userId: '<string>'})
};
fetch('https://public.plai.io/gads/check_lead_form_acceptance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"results": {
"success": true,
"accepted_lead_form_terms": true,
"error": "<string>"
}
}Lead Form
Check Lead Form Acceptance
This endpoint checks whether the user has accepted the Google Ads lead form terms. It helps determine if the user is eligible to create and use lead forms in campaigns. Use this before attempting to generate or assign lead form assets.
POST
/
gads
/
check_lead_form_acceptance
Check Lead Form Acceptance
Request Body
string
required
User ID, If not already created, make a user on create user
page first. If already created,
retrieve the user ID from get profile
page.
Response
boolean
Indicates that the HTTP response was successful (status code 200 OK).